> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Alert Cluster

> Alert Cluster endpoints: Get Alert Cluster By Alert, Get Alert Cluster, List Alert Clusters, Update Alert Cluster

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Alert Cluster",
            "description": "Alert Cluster endpoints: Get Alert Cluster By Alert, Get Alert Cluster, List Alert Clusters, Update Alert Cluster",
            "url": "https://docs.dqlabs.ai/api-reference/metrics/alert-cluster",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Get Alert Cluster By Alert">
    `GET /api/v1/metrics/alert-cluster/by-alert/{alertId}`

    Get compact alert cluster overview for an alert detail sidebar.

    **Path Parameters**

    <ParamField path="alertId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/by-alert/{alertId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get compact alert cluster overview for an alert detail sidebar.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Alert Cluster">
    `GET /api/v1/metrics/alert-cluster/{clusterId}`

    Get an alert cluster by ID using stored procedure.

    **Path Parameters**

    <ParamField path="clusterId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get an alert cluster by ID using stored procedure.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="List Alert Clusters">
    `POST /api/v1/metrics/alert-cluster/list`

    List Alert Clusters

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="alert_cluster_id" type="string">
          Example: `"71a899a1-c661-4349-985e-9f86762bb4b6"`.
        </ResponseField>

        <ResponseField name="root_alert_id" type="string">
          Example: `"8a9d5186-d9dc-4cf8-8cd6-e9ed2e7ef525"`.
        </ResponseField>

        <ResponseField name="root_asset_id" type="string">
          Example: `"51868525-89ca-4be0-b1f1-7c130f2d4436"`.
        </ResponseField>

        <ResponseField name="root_asset_name" type="string">
          Example: `"ALL_DATATYPES_PRIMARY"`.
        </ResponseField>

        <ResponseField name="priority" type="string">
          Example: `"CRITICAL"`.
        </ResponseField>

        <ResponseField name="cluster_status" type="string">
          Example: `"NEW"`.
        </ResponseField>

        <ResponseField name="issue_id" type="string">
          Example: `"1271636b-2b4a-486a-8586-d000e3baeb15"`.
        </ResponseField>

        <ResponseField name="issue_ref_id" type="string">
          Example: `"ISU-108"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Domain_3 Schema Constraint Violation Alert"`.
        </ResponseField>

        <ResponseField name="source_type" type="string">
          Example: `"MSSQL"`.
        </ResponseField>

        <ResponseField name="asset_type" type="string">
          Example: `"TABLE"`.
        </ResponseField>

        <ResponseField name="metric_category" type="string">
          Example: `"Availability"`.
        </ResponseField>

        <ResponseField name="metric_sub_category" type="string">
          Example: `"Schema"`.
        </ResponseField>

        <ResponseField name="confidence_score" type="number">
          Example: `0.6708607535005078`.
        </ResponseField>

        <ResponseField name="total_asset" type="integer">
          Example: `1`.
        </ResponseField>

        <ResponseField name="total_alert" type="integer">
          Example: `31`.
        </ResponseField>

        <ResponseField name="domain" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"8fa19df2-7aa1-4bee-8ccf-8bd4be99cde0"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"domain"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"domain_3"`.
          </ResponseField>

          <ResponseField name="show_propagation" type="boolean">
            Example: `true`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="owner" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"Vignesh R"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"Vignesh R"`.
          </ResponseField>

          <ResponseField name="owner_type" type="string">
            Example: `"Steward"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-18T19:42:51.573964Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-18T19:46:46.301483Z"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `7`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "List Alert Clusters",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "alert_cluster_id": "71a899a1-c661-4349-985e-9f86762bb4b6",
            "root_alert_id": "8a9d5186-d9dc-4cf8-8cd6-e9ed2e7ef525",
            "root_asset_id": "51868525-89ca-4be0-b1f1-7c130f2d4436",
            "root_asset_name": "ALL_DATATYPES_PRIMARY",
            "priority": "CRITICAL",
            "cluster_status": "NEW",
            "issue_id": "1271636b-2b4a-486a-8586-d000e3baeb15",
            "issue_ref_id": "ISU-108",
            "name": "Domain_3 Schema Constraint Violation Alert",
            "source_type": "MSSQL",
            "asset_type": "TABLE",
            "metric_category": "Availability",
            "metric_sub_category": "Schema",
            "confidence_score": 0.6708607535005078,
            "total_asset": 1,
            "total_alert": 31,
            "domain": [
              {
                "id": "8fa19df2-7aa1-4bee-8ccf-8bd4be99cde0",
                "type": "domain",
                "label": "domain_3",
                "show_propagation": true
              }
            ],
            "owner": [
              {
                "id": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
                "name": "Vignesh R",
                "label": "Vignesh R",
                "owner_type": "Steward"
              }
            ],
            "created_at": "2026-09-18T19:42:51.573964Z",
            "modified_at": "2026-09-18T19:46:46.301483Z"
          }
        ],
        "total_count": 7,
        "metrics": []
      }
    }
    ```
  </Tab>

  <Tab title="Update Alert Cluster">
    `PUT /api/v1/metrics/alert-cluster/{clusterId}`

    Update Alert Cluster

    **Path Parameters**

    <ParamField path="clusterId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/alert-cluster/{clusterId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update Alert Cluster",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
